Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 13 Feb 2013 10:06:54 +0100

Eli,

"Sebastien Vauban" wrote:
> Eli Zaretskii wrote:
>>> From: "Sebastien Vauban" <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Tue, 12 Feb 2013 18:36:58 +0100
>>>
>>> 1. Launch Emacs 24.2.93
>>> 2. Go to c:\Program Files (x86)\Emacs-24.2.93\bin
>>> 3. Run: gdb -p 15276
>>>    XXX not sure about having to reference emacs.exe?
>>>    XXX or should I start somehow Emacs from GDB?
>>> 4. Type in GDB:
>>>    (gdb) break fileio.c:4913
>>>    (gdb) break w32.c:6410
>>>    (gdb) continue
>>> 5. Wait for problems, and do what you wrote in these threads.
>>
>> Thanks for the data, I will dwell on it.
>
> Another bunch, when interacting with my company's email server and NNTP
> servers (via Gnus):
>
> [Switching to Thread 21032.0xfac]
>
> Breakpoint 2, sys_read (fd=4, buffer=0x8797034 "", count=5) at w32.c:6410
> 6410    in w32.c
> (gdb) p fd_info[fd]
> $4 = {flags = 1555, hnd = 0x2c8, cp = 0x16813f0}
> (gdb) p fd
> $5 = 4
> (gdb) p *cp
> $6 = {fd = 4, pid = -1, char_avail = 0x688, char_consumed = 0x60c, thrd = 0x624, hwnd = 0x0,
>   procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 1,
>   chr = 22 '\026', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
>       Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
>         OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}
> (gdb) continue
> Continuing.
> [New Thread 21032.0x5920]
> warning: sys_read called when read is in progress
> [New Thread 21032.0xb70]
>
> Breakpoint 2, sys_read (fd=4, buffer=0x8797034 "", count=5) at w32.c:6410
> 6410    in w32.c
> (gdb) p fd_info[fd]
> $7 = {flags = 1555, hnd = 0x36c, cp = 0x16813f0}
> (gdb) p fd
> $8 = 4
> (gdb) p *cp
> $9 = {fd = 4, pid = -1, char_avail = 0x33c, char_consumed = 0x580, thrd = 0x68c, hwnd = 0x0,
>   procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 1,
>   chr = 22 '\026', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
>       Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
>         OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}
> (gdb) continue
> Continuing.
> warning: sys_read called when read is in progress

The last ones, before not being able anymore to connect to my email, were:

--8<---------------cut here---------------start------------->8---
warning: sys_read called when read is in progress

warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 21032.0x50e0]

Breakpoint 2, sys_read (fd=4, buffer=0x8ffd034 "", count=5) at w32.c:6410
6410    in w32.c
(gdb)
Continuing.
warning: sys_read called when read is in progress

[New Thread 21032.0x1bb0]
[Inferior 1 (process 21032) exited normally]
(gdb)
(gdb) The program is not being run.
--8<---------------cut here---------------end--------------->8---

I've relaunched a new Emacs.

Best regards,
  Seb

--
Sebastien Vauban